Options
curl --request GET \
--url https://api.example.com/api/v1/brands/{brand_id}/google-ads/strategies/options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/google-ads/strategies/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/google-ads/strategies/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rulesetVersion": "<string>",
"families": [
{
"family": "search",
"label": "<string>",
"generationSupported": true,
"nativeKinds": [
"rsa"
],
"limitations": [
"<string>"
]
}
],
"markets": [
{
"value": "<string>",
"label": "<string>"
}
],
"languages": [
{
"value": "<string>",
"label": "<string>"
}
],
"monthlyStrategyLimit": 1,
"remainingStrategyUnits": 1,
"renewsAt": "2023-11-07T05:31:56Z",
"mediaBatchEligible": true,
"mediaPricingQualified": true,
"envelope": {
"version": "<string>",
"campaignCellLimit": 25,
"adGroupOrAssetGroupLimit": 50,
"offerLimit": 25,
"personaLimit": 25,
"localeLimit": 10,
"textRepairLimit": 2,
"mediaSlots": [
{
"id": "<string>",
"campaignCellId": "<string>",
"textVariantId": "<string>",
"kind": "image",
"requirement": "required",
"role": "marketing_image",
"sourcePolicy": "owned_identity_required",
"intendedFamily": "search",
"intendedSurfaces": [
"search"
],
"creativeDirection": {
"subject": "<string>",
"action": "<string>",
"context": "<string>",
"style": "<string>",
"lighting": "<string>",
"camera": "<string>",
"audio": "<string>",
"requiredCopy": [
"<string>"
],
"prohibitedElements": [
"<string>"
]
},
"rulesetRuleIds": [
"<string>"
],
"preferredAspect": "1:1",
"requiredFacts": [
"<string>"
],
"productReferenceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"minFinalDurationSeconds": 300,
"maxFinalDurationSeconds": 300,
"asset": {
"checksum": "<string>",
"width": 123,
"height": 123,
"sizeBytes": 123,
"mimeType": "image/jpeg",
"identitySource": "owned_asset",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"durationSeconds": 1800,
"youtubeVideoId": "<string>"
}
}
]
},
"schemaVersion": "google-create-v1",
"formats": [
{
"format": "rsa",
"family": "search",
"label": "<string>",
"supportedSurfaces": [
"search"
],
"generationSupported": true,
"ruleIds": [
"<string>"
],
"videoSubtypes": [
{
"value": "<string>",
"label": "<string>"
}
],
"supportedAspects": [
"1:1"
],
"limitations": [
"<string>"
]
}
],
"defaultMarket": "<string>",
"defaultLanguage": "<string>",
"available": false,
"unavailableReason": "<string>",
"textScopeQualified": false,
"usedStrategyUnits": 0,
"reservedStrategyUnits": 0,
"standaloneTextLimit": 0,
"usedStandaloneTextUnits": 0,
"reservedStandaloneTextUnits": 0,
"mediaGenerationAvailable": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Google Ads Create
Options
GET
/
api
/
v1
/
brands
/
{brand_id}
/
google-ads
/
strategies
/
options
Options
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Required string length:
1 - 64Required array length:
1 - 6 elementsShow child attributes
Show child attributes
Maximum array length:
300Show child attributes
Show child attributes
Maximum array length:
300Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes
Maximum array length:
10Show child attributes
Show child attributes
Required string length:
2 - 80Required string length:
2 - 40Required string length:
1 - 500Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Was this page helpful?